Create a New Page

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages
application/json

Body

  • description string
  • icon string
  • is_disabled boolean
  • label string Required
  • label_icons string
  • name string Required
  • page_javascript string
  • reference_id_1 string
  • reference_id_2 string
  • reference_id_3 string
  • reference_id_4 string
  • reference_id_5 string
  • sort_order number

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created page id

POST /profiles/{profile_id}/pages
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/{profile_id}/pages' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"description":"A form designed for building inspection","icon":"https://dl.dropboxusercontent.com/u/53478059/Demo_Forms/icon_bldginsp.png","is_disabled":true,"label":"Building Inspection","label_icons":"string","name":"building_inspection","page_javascript":"string","reference_id_1":"string","reference_id_2":"string","reference_id_3":"string","reference_id_4":"string","reference_id_5":"string","sort_order":42.0}'
Request examples
{
  "description": "A form designed for building inspection",
  "icon": "https://dl.dropboxusercontent.com/u/53478059/Demo_Forms/icon_bldginsp.png",
  "is_disabled": true,
  "label": "Building Inspection",
  "label_icons": "string",
  "name": "building_inspection",
  "page_javascript": "string",
  "reference_id_1": "string",
  "reference_id_2": "string",
  "reference_id_3": "string",
  "reference_id_4": "string",
  "reference_id_5": "string",
  "sort_order": 42.0
}
Response examples (201)
{
  "id": 790777
}